<?xml version="1.0" encoding="UTF-8"?>
<queryMap desc="质量设计制程">
    
	<query id="SlmOrdDesignMscPlDAL.query" desc="查询质量设计制程">
		<![CDATA[
 SELECT 
       T.DESGIN_KEY,
       T.MSC_PLINE,
       T.WHOLE_BACKLOG,
       T.WHOLE_BACKLOG_DESC,
       T.SET_FL,
       DECODE(T.SET_FL, '1', '是', '否') SET_FL_DESC,
       T.WARN_DESC,
       T.ORD_LN_PK
 FROM SLM_ORD_DESIGN_MSC_PL T
 WHERE
T.DESGIN_KEY = '#DESGIN_KEY#'
AND DECODE('#MSC_PLINE#', NULL, '1', T.MSC_PLINE) = DECODE('#MSC_PLINE#', NULL, '1', '#MSC_PLINE#')
		]]>
	</query>
	
	<query id="SlmOrdDesignMscPlDAL.queryMscPlineByDesignKey" desc="查询质量设计制程">
		<![CDATA[
 SELECT 
       T.DESGIN_KEY,
       T.MSC_PLINE
 FROM SLM_ORD_DESIGN_MSC_PL T
 WHERE
T.DESGIN_KEY = '#DESGIN_KEY#'
		]]>
	</query>
</queryMap>